automobile

## Class UtilisationVer1

- java.lang.Object
- - automobile.UtilisationVer1

-     public class UtilisationVer1
      extends java.lang.Object

  Classe de tests

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UtilisationVer1()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `static void` | `testCompteur()`
    `static void` | `testGarage1()`
    `static void` | `testGarage2()`
    `static void` | `testGarage2Bis()` Garage CompteurComparateur ATTENTION: il faut d'abord instancier un garage Comparable l'on référence ensuite par un garage CompteurComparable en effet, les véhicules ayant tous un compteur à 0 lors de leur instanciation ne seraient pas ajoutés à un garage CompteurComparable, car un Set est sans doublon par rapport au critère de comparaison
    `static void` | `testMappings1()`
    `static void` | `testVehicule()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UtilisationVer1

          public UtilisationVer1()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

    - #### testCompteur

          public static void testCompteur()

    - #### testVehicule

          public static void testVehicule()

    - #### testMappings1

          public static void testMappings1()

    - #### testGarage1

          public static void testGarage1()

    - #### testGarage2

          public static void testGarage2()

    - #### testGarage2Bis

          public static void testGarage2Bis()

      Garage CompteurComparateur ATTENTION: il faut d'abord instancier un garage Comparable l'on référence ensuite par un garage CompteurComparable en effet, les véhicules ayant tous un compteur à 0 lors de leur instanciation ne seraient pas ajoutés à un garage CompteurComparable, car un Set est sans doublon par rapport au critère de comparaison